Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: de updates na een installatie lopen vast  (gelezen 3659 keer)

vandeuren

  • Gast
de updates na een installatie lopen vast
« Gepost op: 2008/03/23, 13:08:48 »
Ik heb een goede installatie gedaan , ik zie 201 updates staan , ik DL ze , daarna wil ik ze installeren , maar dan loopt het mis , nadat ongeveer 3/4 is geinstalleerd , blijft de pc hangen bij een progje , en zegt , dat er eerst een ander progje geinstalleerd moet zijn vooraleer dat vastgelopen progje kan geinstalleerd worden .( het moet volgens mij iets met de video kaart te maken hebben , het is een oude pc met Gforc 2 .)
gevolg , ubuntu wil niet meer werken , als ik dan terug opstart , krijg ik gewoon een geel scherm en niets meer , ik moet dan volledig van 0 terug alles installeren , en dat is nu al de 2de keer , ik durf dus die updates niet meer te installeren .

Iemand soms een idee wat ik zou kunnen doen ??

Offline tabasco

  • Lid
  • Steunpunt: Nee
de updates na een installatie lopen vast
« Reactie #1 Gepost op: 2008/03/24, 00:16:39 »
Heb je de 'live-CD' of de 'alternate-CD' gebruikt voor de installatie? Ik begrijp dat de Gforce 2 niet meer wordt ondersteund bij de 'nvidia-glx' 3d hardwaredriver. De alternate-CD gebruikt de 'nv' driver die wel de Gforce 2 ondersteund.
Misschien biedt deze info uitkomst...?

vandeuren

  • Gast
de updates na een installatie lopen vast
« Reactie #2 Gepost op: 2008/03/24, 00:56:46 »
ik heb de lice-CD gebruikt ?????

Kan ik nog de alternate versie erover zetten , want die heb ik ook gedownload ??

Offline tabasco

  • Lid
  • Steunpunt: Nee
de updates na een installatie lopen vast
« Reactie #3 Gepost op: 2008/03/24, 01:06:49 »
Kun je wel in een terminal venster komen? (Ctrl-Alt-F1)
Weet je welke video driver was geinstalleerd?

Offline Gandyman

  • Lid
  • Steunpunt: Nee
de updates na een installatie lopen vast
« Reactie #4 Gepost op: 2008/03/24, 01:43:19 »
Wat een beetje handiger is om in terminal die updates te doen.

Dus open terminal en typ dan.

sudo apt-get update

sudo apt-get upgrade

vervolgens houd je in de gaten wat er gebeurd en welke meldingen er komen.
uiteindelijk komt hij met die melding over dat ontbrekende pakket en waarschijnlijk kan je dit oplossen door -fixmissing erachter te typen.

dus bijv. (ff uit me hoofd)

apt-get install fixmissing

nu gaat hij de ontbrekende pakketen installeren.

Indien je geen beeld meer heb start je op in veilige modes en typ je
sudo dpkg-reconfigure -phigh xserver-xorg

praktisch op alles ja antwoorden behalve bij je vga kaart ff kijken of je vesa kan kiezen.

Later als alles werkt kan dit altijd nog bijgewerkt of verandert worden
I don't suffer from insanity, I enjoy every minute of it.
Microsoft geeft je een raam, Linux geeft je een heel huis :D

vandeuren

  • Gast
de updates na een installatie lopen vast
« Reactie #5 Gepost op: 2008/03/24, 02:28:01 »
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd      
Reading state information... Klaar
De volgende pakketten zullen opgewaardeerd worden:
  app-install-data-commercial apturl avahi-autoipd avahi-daemon bind9-host
  bittorrent capplets-data compiz compiz-core compiz-gnome compiz-plugins
  cupsys cupsys-bsd cupsys-client cupsys-common deskbar-applet dnsutils
  e2fslibs e2fsprogs eog evince evolution evolution-common
  evolution-data-server evolution-data-server-common evolution-plugins
  findutils firefox firefox-gnome-support foo2zjs gcalctool gdm gedit
  gedit-common ghostscript ghostscript-x gimp gimp-data gimp-python
  gnome-about gnome-cards-data gnome-control-center gnome-desktop-data
  gnome-games gnome-games-data gnome-menus gnome-panel gnome-panel-data
  gnome-screensaver gnome-session gnome-system-monitor gnome-system-tools
  gtk2-engines gtkhtml3.14 hwdb-client-common hwdb-client-gnome
  language-pack-en language-pack-en-base language-pack-gnome-en
  language-pack-gnome-en-base libavahi-client3 libavahi-common-data
  libavahi-common3 libavahi-compat-libdnssd1 libavahi-core5 libavahi-glib1
  libbind9-30 libblkid1 libc6 libc6-i686 libcairo2 libcamel1.2-10 libcdio6
  libcomerr2 libcupsimage2 libcupsys2 libdb4.4 libdecoration0 libdns32
  libebook1.2-9 libecal1.2-7 libedata-book1.2-2 libedata-cal1.2-6
  libedataserver1.2-9 libedataserverui1.2-8 libegroupwise1.2-13
  libexchange-storage1.2-3 libflac8 libgimp2.0 libgnome-desktop-2
  libgnome-menu2 libgnome-window-settings1 libgnomeui-0 libgnomeui-common
  libgs8 libgtkhtml3.14-19 libgtksourceview2.0-0 libgtksourceview2.0-common
  libisc32 libisccc30 libisccfg30 libkpathsea4 libkrb53 liblwres30
  libmono-cairo1.0-cil libmono-corlib1.0-cil libmono-corlib2.0-cil
  libmono-data-tds2.0-cil libmono-security2.0-cil libmono-sharpzip2.84-cil
  libmono-sqlite2.0-cil libmono-system-data2.0-cil libmono-system-web2.0-cil
  libmono-system1.0-cil libmono-system2.0-cil libmono0 libmono2.0-cil
  libnautilus-extension1 libnm-glib0 libnm-util0 libpanel-applet2-0
  libpango1.0-0 libpango1.0-common libpcre3 libpcrecpp0 libperl5.8 libpng12-0
  libpoppler-glib2 libpoppler2 libpt-1.10.0 libpt-plugins-alsa
  libpt-plugins-v4l libpt-plugins-v4l2 libpurple0 libsmbclient libsnmp-base
  libsnmp10 libss2 libssl0.9.8 libuuid1 libvolume-id0 libwnck-common libwnck22
  libxfont1 libxml2 libxml2-utils linux-headers-2.6.22-14
  linux-headers-2.6.22-14-generic linux-image-2.6.22-14-generic
  linux-restricted-modules-2.6.22-14-generic linux-restricted-modules-common
  mono-common mono-gac mono-jit mono-runtime nautilus nautilus-data
  network-manager openoffice.org openoffice.org-base openoffice.org-calc
  openoffice.org-common openoffice.org-core openoffice.org-draw
  openoffice.org-evolution openoffice.org-gnome openoffice.org-gtk
  openoffice.org-impress openoffice.org-java-common openoffice.org-math
  openoffice.org-style-human openoffice.org-writer openssh-client openssl perl
  perl-base perl-modules pidgin pidgin-data poppler-utils python-bittorrent
  python-gmenu python-libxml2 python-uno python2.5 python2.5-minimal
  samba-common smbclient sound-juicer ssh-askpass-gnome tomboy ttf-opensymbol
  tzdata ubufox ubuntu-docs udev unzip volumeid xserver-xorg-core
  xserver-xorg-video-intel
200 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
2 pakketten niet volledig geïnstalleerd of verwijderd.
Er moeten 268MB aan archieven opgehaald worden.
Na het uitpakken zal er 74,8MB extra schijfruimte gebruikt worden.
Wilt u doorgaan [J/n]?

vandeuren

  • Gast
de updates na een installatie lopen vast
« Reactie #6 Gepost op: 2008/03/24, 02:45:36 »
ik heb terminal geoepend en ingetikt :
sudo apt-get upgrade

en dan kwam bovenstaande lijst , en verder weet ik het niet meer ??

ik heb nog maar enkele dagen linux , het is dus allemaal nog een beetje " chinees " ziet U , en het ergste is dat ik al bijna 20 jaar met windows werk , maar geef het niet op , en wel dit ook allemaal kennen .

Die video kaart werkt voor de rest wel perfect , ik kan zelfs films afspelen , zonder enige probleem , dus , ik vermoed maar dat het die video kaart is .

Geluid heb ik evenmin , ik heb in die pc een geluidskaart zitten , maar de upgrade gaat niet meer bij creative , het is een
creative sound blaster live platinium 5.1
en ik weet ook niet wat ik hieraan kan doen , er komt niks aan geluid uit ????

Klaasvaak

  • Gast
de updates na een installatie lopen vast
« Reactie #7 Gepost op: 2008/03/24, 11:03:33 »
En is je probleem opgelost nadat je daar op "ja" hebt gedrukt?

vandeuren

  • Gast
de updates na een installatie lopen vast
« Reactie #8 Gepost op: 2008/03/24, 11:48:16 »
ik durf nog steeds niet updaten , weet niet of het nu zal gaan ??

En het probleem met het geluid is ook niet opgelost ??

tevens nog een vraagje , ik heb een microsoft muis , en zijdelinks staan knoppen om terug te gaan als men bv. aan het surfen is naar de votrige bladzijde of rechts naar de volgende , dat werkt ook niet in linux ?? de scrol werkt wel , is daar soms iets aan te doen ?

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
de updates na een installatie lopen vast
« Reactie #9 Gepost op: 2008/03/24, 11:49:15 »
Er staat op het eind: wilt u doorgaan [j/n]

Nou, dan druk je dus op j

:-)

Klaasvaak

  • Gast
de updates na een installatie lopen vast
« Reactie #10 Gepost op: 2008/03/24, 12:08:34 »
ALs je naar System > Voorkeuren > Muis gaat, kun je daar bij "buttons" selecteren dat je extra knoppen op je muis hebt?

vandeuren

  • Gast
de updates na een installatie lopen vast
« Reactie #11 Gepost op: 2008/03/24, 13:00:41 »
ik vind ik voorkeuren > muis , enkel

bij knoppen = muis orientatie en interval voor dubbelklikken

bij beweging = snelheid en slepen en neerzetten

maar er staat niet buttons selectreren voor extra knoppen ???

vandeuren

  • Gast
de updates na een installatie lopen vast
« Reactie #12 Gepost op: 2008/03/24, 23:02:04 »
Uitpakken van vervangende linux-image-2.6.22-14-generic ...
dpkg-deb: subproces paste werd gedood door signaal (Gebroken pijp)
dpkg: fout bij afhandelen van /var/cache/apt/archives/linux-image-2.6.22-14-generic_2.6.22-14.52_i386.deb (--unpack):
 subproces dpkg-deb --fsys-tarfile gaf een foutwaarde 2 terug
Running postrm hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.22-14-generic
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... done

Voorbereiden om ubuntu-docs 7.10.4 te vervangen (door .../ubuntu-docs_7.10.5_all.deb) ...
Uitpakken van vervangende ubuntu-docs ...
Voorbereiden om libblkid1 1.40.2-1ubuntu1 te vervangen (door .../libblkid1_1.40.2-1ubuntu1.1_i386.deb) ...
Uitpakken van vervangende libblkid1 ...
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/linux-image-2.6.22-14-generic_2.6.22-14.52_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
leo@zwarte:~$ apt-get install fixmissing
E: Kon het vergrendelingsbestand '/var/lib/dpkg/lock' niet openen - open (13 Toegang geweigerd)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
leo@zwarte:~$ apt-get install fixmissing
E: Kon het vergrendelingsbestand '/var/lib/dpkg/lock' niet openen - open (13 Toegang geweigerd)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
leo@zwarte:~$

----------------------------------------------------------------------------------------------
Gandyman ,

ik heb gedaan hetgeen U me zegde , dus - sudo apt-get upgrade - in terminal genomen , en gaf vanonder het resultaat met foutmeldingen ( zie hierboven )

toen ik echter apt-get install fixmissing , intikte geeft hij aan dat hij de vergrendeling niet kan openen

E: Kon het vergrendelingsbestand '/var/lib/dpkg/lock' niet openen - open (13 Toegang geweigerd)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
leo@zwarte:~$

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
de updates na een installatie lopen vast
« Reactie #13 Gepost op: 2008/03/24, 23:04:46 »
Dan moet je er sudo voor zetten, anders heb je niet genoeg rechten. Er moeten ook 2 streepjes voor de fixmissing optie:
sudo apt-get install --fixmissing

Offline Tukcedo

  • Lid
    • http://www.tukcedo.nl
  • Steunpunt: Nee
de updates na een installatie lopen vast
« Reactie #14 Gepost op: 2008/03/24, 23:06:34 »
Had je ergens anders synaptic of aptitude of dpkg nog aan het werk? Package gerelateerde software wil graag het enige proces zijn dat op dat moment aan de package database komt ...
Tukcedo Services - Unix en Linux Consultants
http://www.tukcedo.nl

vandeuren

  • Gast
de updates na een installatie lopen vast
« Reactie #15 Gepost op: 2008/03/24, 23:09:15 »
alsik dat intik komt er dit

leo@zwarte:~$ sudo apt-get install --fixmissing
E: Commandoregel-optie --fixmissing wordt niet begrepen

vandeuren

  • Gast
de updates na een installatie lopen vast
« Reactie #16 Gepost op: 2008/03/24, 23:11:01 »
tukcedo ,

er stond niets anders te werken en terminal

vandeuren

  • Gast
de updates na een installatie lopen vast
« Reactie #17 Gepost op: 2008/03/24, 23:12:44 »
enkel terminal - bedoel ik

Offline Tukcedo

  • Lid
    • http://www.tukcedo.nl
  • Steunpunt: Nee
de updates na een installatie lopen vast
« Reactie #18 Gepost op: 2008/03/24, 23:13:51 »
OK, ik zie dat het sudo het probleem van die lock al aanpakte. Dat fixmissing ken ik zelf niet, maar je zou eens "man apt-get" kunnen proberen en in die documentatie kijken of de optie ertussen staat.
Tukcedo Services - Unix en Linux Consultants
http://www.tukcedo.nl

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
de updates na een installatie lopen vast
« Reactie #19 Gepost op: 2008/03/24, 23:20:39 »
sudo apt-get install -f --fix-missing
Dat moet het dan zijn. In de manpage staat die optie er wel tussen.

Edit: Misschien is het weglaten van de -f optie beter, omdat die voor problemen kan zorgen.

vandeuren

  • Gast
de updates na een installatie lopen vast
« Reactie #20 Gepost op: 2008/03/25, 00:03:06 »
leo@zwarte:~$ sudo apt-get install -f --fix-missing
[sudo] password for leo:
Sorry, try again.
[sudo] password for leo:
Sorry, try again.
[sudo] password for leo:
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
leo@zwarte:~$ bn
bash: bn: opdracht niet gevonden
leo@zwarte:~$ sudo apt-get install -f --fix-missing
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
leo@zwarte:~$ sudo apt-get install -f --fix-missing
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
leo@zwarte:~$


eerst kon ik men paswoord niet intikken , en dan die foutmelding - zie hierboven

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
de updates na een installatie lopen vast
« Reactie #21 Gepost op: 2008/03/25, 00:05:42 »
wachtwoord:
http://computertip.googlepages.com/veelgesteldevrageninubuntu

vraag 8.

Oplossing fout:
sudo dpkg --configure -a

vandeuren

  • Gast
de updates na een installatie lopen vast
« Reactie #22 Gepost op: 2008/03/25, 00:22:42 »
als ik een programma wil bijzetten in -software toevoegen /verwijderen , werkt het niet , en krijg steeds onderstaande melding ??


E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.

vandeuren

  • Gast
de updates na een installatie lopen vast
« Reactie #23 Gepost op: 2008/03/25, 00:31:31 »
ik heb dus in terminal venster gezet sudo dpkg --configure -a

en als ik dan een programma wil toevoegen komt er dat

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.


wat loopt er nu verkeerd ??????

ik kan dus geen programma's of niets toevoegen ????

mischien eens proberen in veilige modus ??

of

Ubuntu volledig opnieuw installeren ??

wie weet raad aub

Offline Gandyman

  • Lid
  • Steunpunt: Nee
de updates na een installatie lopen vast
« Reactie #24 Gepost op: 2008/03/25, 01:58:03 »
Omschrijf nou eens precies wat je aan het doen bent ??

Want dit:
Citaat
ik heb dus in terminal venster gezet sudo dpkg --configure -a
en dan nog iets doen kan niet,
1 ding tegelijk....

sluit alles af en dan enkelt terminal openen, dan in terminal
sudo dpkg --configure -a
klik nu op enter.
eventueel erachter aan
sudo apt-get upgrade
klik nu op enter.

en kijk wat er gebeurt.

Heb je wel alles open staan voor je sources.list ??

effin als alles klaar is dan kan je het scherm "Installeren&Verwijderen" gebruiken om proggies toe te voegen.
OF?
Synaptic.

Nogmaals 1 ding tegelijk openen anders werkt het niet.

Ieder proggie heeft zijn rechten en hij zet de boel op slot als hij aan het werkt is.
Dit om te voorkomen dat je 2 dingen tegelijk installeerd per gebruiker.
I don't suffer from insanity, I enjoy every minute of it.
Microsoft geeft je een raam, Linux geeft je een heel huis :D